import request from "@/utils/request";

// 采购订单修订列表
const list = (data) => {
  return request({
    url: `/pu/order/list`,
    method: "post",
    data,
  });
}

// 采购订单详情
const details = (id, params) => {
  return request({
    url: `/pu/order/${id}`,
    method: "get",
    params,
  });
}

// 采购订单修订创建
const create = (data) => {
  return request({
    url: `/pu/order`,
    method: "post",
    data,
  });
}

// 采购订单编辑
const edit = (data) => {
  return request({
    url: `/pu/order/item`,
    method: "put",
    data,
  });
}

// 采购订单删除
const remove = (data) => {
  return request({
    url: `/pu/order/${data}`,
    method: "delete",
  });
}


export default {
  list,
  details,
  create,
  edit,
  remove,

}